Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.data
Interface RecordSet

All Known Implementing Classes:
  EmptyRecordSet

public interface RecordSet

RecordSet is an interface for iterating over a set of Records. It is almost always returned by Filers.

Method Summary
`Key` | `getNextKey()` getNextKey returns the next Record's Key, and skips the RecordSet ahead to the next Record.
`Record` | `getNextRecord()` getNextRecord returns the next Record in the set.
`Value` | `getNextValue()` getNextValue returns the next Record's Value, and skips the RecordSet ahead to the next Record.
`boolean` | `hasMoreRecords()` hasMoreRecords returns whether or not there are any Records left in the set.

Method Detail

### hasMoreRecords

    public boolean hasMoreRecords()
                           throws DBException

  hasMoreRecords returns whether or not there are any Records left in the set.

  Returns:
    Whether there are any more Records
  Throws:
    `DBException`

### getNextRecord

    public Record getNextRecord()
                         throws DBException

  getNextRecord returns the next Record in the set.

  Returns:
    The next Record
  Throws:
    `DBException`

### getNextKey

    public Key getNextKey()
                   throws DBException

  getNextKey returns the next Record's Key, and skips the RecordSet ahead to the next Record.

  Returns:
    The next Key
  Throws:
    `DBException`

### getNextValue

    public Value getNextValue()
                       throws DBException

  getNextValue returns the next Record's Value, and skips the RecordSet ahead to the next Record.

  Returns:
    The next Value
  Throws:
    `DBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group